Subject: Re: bug#63967: 28.2; switch-to-buffer in normal window fails if minibuffer window is active

From: Eli Zaretskii <[email-masked]>
Date: Sat, 10 Jun 2023 09:45:11 +0300

> Date: Sat, 10 Jun 2023 06:39:41 +0000
> From: Gregory Heytings <[email-masked]>
> cc: [email-masked], [email-masked], [email-masked], 
>     [email-masked]
> 
> I see.  Apparently we don't work the same way.  I didn't have time to 
> investigate this issue further after bisecting, but the first thing I 
> would have done is to determine which of the four calls to 
> Fset_frame_selected_window in that changeset is responsible for that bug.

You assume that the only way to change the selected-window on the C
level is by calling Fset_frame_selected_window?  That's false; just
try grepping the C sources for "selected_window =".  And that's even
before you consider the possibilities of indirect setting, when the
actual setting is in Lisp via some proxy.